com.sun.source.tree

## Interface StatementTree

- All Superinterfaces:
    Tree
  All Known Subinterfaces:
    AssertTree, BlockTree, BreakTree, ClassTree, ContinueTree, DoWhileLoopTree, EmptyStatementTree, EnhancedForLoopTree, ExpressionStatementTree, ForLoopTree, IfTree, LabeledStatementTree, ReturnTree, SwitchTree, SynchronizedTree, ThrowTree, TryTree, VariableTree, WhileLoopTree

      public interface StatementTree
      extends Tree

  A tree node used as the base class for the different kinds of statements.
  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, chapter 14"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.